Summary: mingetty version 1.08-r3
Name: mingetty
Version: 1.08
Release: r3.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
URL: http://sourceforge.net/projects/mingetty/
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/powerpc-wrs-linux-compilerlibs
BuildRequires: virtual/powerpc-wrs-linux-gcc
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.3)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.4)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6(GLIBC_2.1)
Requires(post): libc.so.6(GLIBC_2.0)
Requires(post): libc.so.6(GLIBC_2.3)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6
Requires(post): libc.so.6(GLIBC_2.4)
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6(GLIBC_2.1)
Requires(postun): libc.so.6(GLIBC_2.0)
Requires(postun): libc.so.6(GLIBC_2.3)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6
Requires(postun): libc.so.6(GLIBC_2.4)
Provides: /sbin/getty

%description
A compact getty program for virtual consoles only

%package -n mingetty-dbg
Summary: mingetty version 1.08-r3 - Debugging files
Group: devel
Suggests: libc6-dbg(ppce5500)
Recommends: mingetty = 1.08-r3.0

%description -n mingetty-dbg
A compact getty program for virtual consoles only  This package contains
ELF symbols and related sources for debugging purposes.

%package -n mingetty-staticdev
Summary: mingetty version 1.08-r3 - Development files (Static Libraries)
Group: devel
Requires: mingetty-dev = 1.08-r3.0

%description -n mingetty-staticdev
A compact getty program for virtual consoles only  This package contains
static libraries for software development.

%package -n mingetty-dev
Summary: mingetty version 1.08-r3 - Development files
Group: devel
Requires: mingetty = 1.08-r3.0
Suggests: libc6-dev(ppce5500)
Suggests: update-alternatives-cworth-dev

%description -n mingetty-dev
A compact getty program for virtual consoles only  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n mingetty-doc
Summary: mingetty version 1.08-r3 - Documentation files
Group: doc

%description -n mingetty-doc
A compact getty program for virtual consoles only  This package contains
documentation.

%package -n mingetty-locale
Summary: mingetty version 1.08-r3
Group: console/utils

%description -n mingetty-locale
A compact getty program for virtual consoles only

%post
# mingetty - postinst
#!/bin/sh
	update-alternatives --install /sbin/getty getty /sbin/mingetty 10


%postun
# mingetty - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  getty /sbin/mingetty
fi

%files
%defattr(-,-,-,-)
%dir "/sbin"
"/sbin/mingetty"

%files -n mingetty-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/sbin"
%dir "/usr/src"
%dir "/usr/src/debug"
%dir "/usr/src/debug/mingetty"
%dir "/usr/src/debug/mingetty/1.08-r3"
%dir "/usr/src/debug/mingetty/1.08-r3/mingetty-1.08"
"/usr/src/debug/mingetty/1.08-r3/mingetty-1.08/mingetty.c"
%dir "/sbin/.debug"
"/sbin/.debug/mingetty"

%files -n mingetty-dev
%defattr(-,-,-,-)

%files -n mingetty-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/mingetty.8"

